# pamslice

Updated: 8 February 2010
Table Of Contents

## NAME

pamslice - extract one line of values out of a Netpbm image

## SYNOPSIS

pamslice {-row=rownumber | -column=columnnumber} [-plane=planenumber] [imagefile]

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one. You may separate an option name and its value with white space instead of an equals sign.

## DESCRIPTION

This program is part of Netpbm.

pamslice extracts one line of tuples (pixels) out of a Netpbm image and prints their values in a table. A line means a row or column. It shows you a one-dimensional cross section of a two-dimensional image. (With the -plane option, it can be thought of as a one-dimensional cross-section of a three-dimensional image).

The table has one line per tuple, consisting of blank-separated ASCII decimal numbers. The first number is the column number if you specified a row slice or the row number if you specified a column slice. The rest of the numbers are the sample values in plane number order. For a PBM or PGM input, there is only one plane. For a PPM input, Plane 0 is red, Plane 1 is green, and Plane 2 is blue. See the specifications of the image formats for details on exactly what these numbers mean.

If you want to see the entire raster of a Netpbm image, use pamtable.

## OPTIONS

-row=rownumber
  This indicates that the slice is to be horizontal -- i.e. one row of the image -- and indicates which row. Rows are numbered from the top starting with 0.

  You cannot specify both -row and -column.

-column=colnumber
  This indicates that the slice is to be vertical -- i.e. one column of the image -- and indicates which column. Columns are numbered from the left starting with 0.

  You cannot specify both -row and -column.

-plane=planenumber
  This specifies that you are interested in only one plane of the image and which one. Planes are numbered from 0 and have meanings that vary on the type of image. In a PPM image, Plane 0 is red, Plane 1 is green, and Plane 2 is blue.

  If you don't specify -plane, you get all the planes -- each line of output has multiple numbers in addition to the sequence number. If you do specify -plane, each line of output contains one number in addition to the sequence number.

-xmgr
  This option causes pamslice to format the output as input for a xmgr so you can plot it. The only difference this option makes is that it adds header information to the beginning of the output.

## SEE ALSO

pamtable pamcut pnmtopnm pamchannel pnm

## HISTORY

pamslice replaced pgmslice in Netpbm 10.3 (June 2002). It was backward compatible, but worked on Netpbm images other than PGM and PBM and added the -plane and -xmgr options.

## AUTHOR

Jos Dingjan <jos@tuatha.org> wrote pgmslice after being unable to find the source code to Marco Beijersbergen's program with the same name. Bryan Henderson converted it to pamslice.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- HISTORY
- AUTHOR